<?php
/*
=====================================================
 Модуль создал: REZER (http://rezer.net)
=====================================================
 Файл: board_post.php
=====================================================
 Данный код защищен авторскими правами
=====================================================
 Назначение: массовые действия с объявлениями
=====================================================
*/

//-------------------------------------------------====
//	Инициализация
//-------------------------------------------------====

if( !defined( "DATALIFEENGINE" ) ) die( "Hacking attempt!" );

//-------------------------------------------------====
//	Само выполнение
//-------------------------------------------------====

$action = $_REQUEST['action'];
$CheckBoardPost = $_REQUEST['CheckBoardPost'];
$Accept = intval( $_REQUEST['accept'] );
if( $action == "sort" && count( $CheckBoardPost ) < 1 ) $CheckBoardPost[] = 1;
if( is_array( $CheckBoardPost ) && count( $CheckBoardPost ) > 0 )
	{
		$HiddenCheck = "";
		foreach( $CheckBoardPost as $key => $id )
			{
				$id = intval( $id );
				if( !$id )
					{
						unset( $CheckBoardPost[ $key ] );
					}
						else
					{
						$CheckBoardPost[ $key ] = $id;
						$HiddenCheck .= "<input type=\"hidden\" name=\"CheckBoardPost[]\" value=\"{$id}\" />";
					}
			}
		
		$HiddenCheck .= "<input type=\"hidden\" name=\"accept\" value=\"1\" />";
		$HiddenCheck .= "<input type=\"hidden\" name=\"action\" value=\"{$action}\" />";
		$HiddenCheck .= "<input type=\"hidden\" name=\"TypeAction\" value=\"board_post\" />";
		
		$CountCheck = count( $CheckBoardPost );
		if( $CountCheck > 0 )
			{
				//-------------------------------------------------====
				//	Удаление
				//-------------------------------------------------====

				if( $action == "del" )
					{
						if( $Accept )
							{
								foreach( $CheckBoardPost as $id )
									{
										$id = intval( $id );
										if( $id )
											{
												$result = $db->query( "SELECT `id`,`category` FROM ".PREFIX."_board_post WHERE `id`='{$id}'" );
												if( $db->num_rows( $result ) > 0 )
													{
														while( $row = $db->get_row( $result ) )
															{
																$Board->DelPostCategory( $row['category'] );
																$db->query( "DELETE FROM ".PREFIX."_board_comments WHERE `board_id`='{$id}'" );
																$db->query( "DELETE FROM ".PREFIX."_board_post WHERE `id`='{$id}' LIMIT 1" );
															}
													}
											}
									}
									
								$Board->CleareAllCache();
								opentable();
								tableheader( "Список всех объявлений &raquo; Массовые действия" );
echo <<<HTML

<div style="padding: 25px; text-align: center;">
	Выбранные <strong>({$CountCheck})</strong> объявления, были успешно удалены<br /><br />
	<a href="javascript:void(0);" onclick="UpdateList( 'main' ); return false;">Вернуться назад</a>
</div>

HTML;
								closetable();
							}
								else
							{
								opentable();
								tableheader( "Список всех объявлений &raquo; Массовые действия" );
echo <<<HTML

<form method="post" action="" name="BoardMassAction" onsubmit="formSubmit( 'BoardMassAction', 'action.php', 'main', 'ajax.gif', 'UpdateStatus', 'UpdateStatus', UpdateButton ); return false;">
	<div style="padding: 25px; text-align: center;">
		Вы уверены, что хотите удалить выбранные <strong>({$CountCheck})</strong> объявления?<br /><br />
		<input type="submit" name="submit" value="Да" class="edit" />
		<input type="button" value="Нет" class="edit" onclick="UpdateList( 'main' ); return false;" />
		{$HiddenCheck}
	</div>
</form>

HTML;
								closetable();
							}
					}
				
				//-------------------------------------------------====
				//	Опубликовать
				//-------------------------------------------------====
				
				elseif( $action == "public" )
					{
						if( $Accept )
							{
								foreach( $CheckBoardPost as $id )
									{
										$id = intval( $id );
										if( $id )
											{
												$db->query( "UPDATE ".PREFIX."_board_post SET `approve`='1' WHERE `id`='{$id}' LIMIT 1" );
											}
									}
									
								$Board->CleareAllCache();
								opentable();
								tableheader( "Список всех объявлений &raquo; Массовые действия" );
echo <<<HTML

<div style="padding: 25px; text-align: center;">
	Выбранные <strong>({$CountCheck})</strong> объявления, были успешно опубликованы<br /><br />
	<a href="javascript:void(0);" onclick="UpdateList( 'main' ); return false;">Вернуться назад</a>
</div>

HTML;
								closetable();
							}
								else
							{
								opentable();
								tableheader( "Список всех объявлений &raquo; Массовые действия" );
echo <<<HTML

<form method="post" action="" name="BoardMassAction" onsubmit="formSubmit( 'BoardMassAction', 'action.php', 'main', 'ajax.gif', 'UpdateStatus', 'UpdateStatus', UpdateButton ); return false;">
	<div style="padding: 25px; text-align: center;">
		Вы уверены, что хотите опубликовать выбранные <strong>({$CountCheck})</strong> объявления?<br /><br />
		<input type="submit" name="submit" value="Да" class="edit" />
		<input type="button" value="Нет" class="edit" onclick="UpdateList( 'main' ); return false;" />
		{$HiddenCheck}
	</div>
</form>

HTML;
								closetable();
							}
					}
					
				//-------------------------------------------------====
				//	Удаление
				//-------------------------------------------------====
				
				elseif( $action == "unpublic" )
					{
						if( $Accept )
							{
								foreach( $CheckBoardPost as $id )
									{
										$id = intval( $id );
										if( $id )
											{
												$db->query( "UPDATE ".PREFIX."_board_post SET `approve`='0' WHERE `id`='{$id}' LIMIT 1" );
											}
									}
									
								$Board->CleareAllCache();
								opentable();
								tableheader( "Список всех объявлений &raquo; Массовые действия" );
echo <<<HTML

<div style="padding: 25px; text-align: center;">
	Выбранные <strong>({$CountCheck})</strong> объявления, были успешно поставлены на модерацию<br /><br />
	<a href="javascript:void(0);" onclick="UpdateList( 'main' ); return false;">Вернуться назад</a>
</div>

HTML;
								closetable();
							}
								else
							{
								opentable();
								tableheader( "Список всех объявлений &raquo; Массовые действия" );
echo <<<HTML

<form method="post" action="" name="BoardMassAction" onsubmit="formSubmit( 'BoardMassAction', 'action.php', 'main', 'ajax.gif', 'UpdateStatus', 'UpdateStatus', UpdateButton ); return false;">
	<div style="padding: 25px; text-align: center;">
		Вы уверены, что хотите поставить на модерацию выбранные <strong>({$CountCheck})</strong> объявления?<br /><br />
		<input type="submit" name="submit" value="Да" class="edit" />
		<input type="button" value="Нет" class="edit" onclick="UpdateList( 'main' ); return false;" />
		{$HiddenCheck}
	</div>
</form>

HTML;
								closetable();
							}
					}
						else
					{
						opentable();
						tableheader( "Список всех объявлений &raquo; Массовые действия" );
						echo "<div style=\"padding: 25px; text-align: center;\">Выберите действие для объявлений<br /><br /><a href=\"javascript:void(0);\" onclick=\"UpdateList( 'main' ); return false;\">Вернуться назад</a></div>";
						closetable();		
					}
			}
				else
			{
				opentable();
				tableheader( "Список всех объявлений &raquo; Массовые действия" );
				echo "<div style=\"padding: 25px; text-align: center;\">Выберите как минимум одно объявление<br /><br /><a href=\"javascript:void(0);\" onclick=\"UpdateList( 'main' ); return false;\">Вернуться назад</a></div>";
				closetable();
			}
	}
		else
	{
		opentable();
		tableheader( "Список всех объявлений &raquo; Массовые действия" );
		echo "<div style=\"padding: 25px; text-align: center;\">Выберите как минимум одно объявление<br /><br /><a href=\"javascript:void(0);\" onclick=\"UpdateList( 'main' ); return false;\">Вернуться назад</a></div>";
		closetable();
	}

//-------------------------------------------------====
//	Завершение работы
//-------------------------------------------------====

$db->close();

?>